### Property

# Gtk Switch:active

since: 4.0

#### Declaration

    property active: gboolean [ read, write ]

#### Description [src]

Whether the `GtkSwitch` widget is in its on or off state.

Type: | `gboolean`
Available since: | 4.0

Default value | FALSE
Getter method | `gtk_switch_get_active()`
Setter method | `gtk_switch_set_active()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no